with GNATCOM.IInterface;

package MSHTML.IViewObjectPresentNotify_Interface is

   type IViewObjectPresentNotify_Type is
     new GNATCOM.IInterface.Interface_Type with null record;

   procedure Initialize (This : in out IViewObjectPresentNotify_Type);

   function Pointer (This : IViewObjectPresentNotify_Type)
     return Pointer_To_IViewObjectPresentNotify;

   procedure Attach (This    : in out IViewObjectPresentNotify_Type;
                     Pointer : in     Pointer_To_IViewObjectPresentNotify);

   procedure OnPreRender
     (This : IViewObjectPresentNotify_Type);

end MSHTML.IViewObjectPresentNotify_Interface;

